Subject: Re: Minor bug and a question
From: [email-masked] (Jim Balter)

12 Feb 1997 14:08:45 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Sergey Okhapkin <[email-masked]>
Original-CC: "[email-masked]" <[email-masked]>
Original-Sender: [email-masked]

Sergey Okhapkin wrote:
> 
> Jim Balter wrote:
> > > send it on to you.  However, in reference to the original comment, there
> > > are facilities in win32 to support hard links.
> >
> > Ok, but it is still NTFS-specific, and thus cannot be depended upon
> > by gnu-win32.
> 
> Why? Winsup code may create hard links on NTFS partitions and make a copy of file (as it works now) on FAT partitions.

The context of ths discussion was a suggestion that foo and foo.exe
be links instead of bash taking foo to mean foo.exe.  That's a
design decision that is affected by the cost of making a link.
You can't assume that links are cheap; that's what I mean by "depend
upon".  I didn't say that you can't implement links as hard links
on NTFS, you just can't DEPEND UPON the result of ln foo bar
creating a hard link rather than a copy.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".